<!DOCTYPE html>
<HTML>
<!--

FastPACS
 
2006-2013 Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

-->
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Globalization" %>
<%@ Import Namespace="DIOWave" %>
<script src="classes.cs" runat="server" />
<script runat="server">
//======================================================================

	//==============================
	//
	//==============================
	String PatientID = null;
	String PatientID_OP = null;
	String PatientName = null;
	String PatientName_OP = null;
	String Patient_COMB = null;
	String StudyDate = null;
	String Modality = null;

	String Year = "";
	String Month = "";
	String Date = "";

	int box1_width, box2_width;

	//==============================
	//
	//==============================
	void main() {
		PatientID = get_opt_str("PatientID", "");
		PatientID_OP = get_opt_str("PatientID-OP", "EQ");
		PatientName = get_opt_str("PatientName", "");
		PatientName_OP = get_opt_str("PatientName-OP", "EQ");
		Patient_COMB = get_opt_str("Patient-COMB", "AND");
		StudyDate = get_opt_str("StudyDate", "");
		Modality = get_opt_str("Modality", "");

		if (StudyDate.Length != 0) {
			if (StudyDate.IndexOf('%') < 0) {
				Year = StudyDate.Substring(0, 4);
				Month = StudyDate.Substring(4, 2);
				Date = StudyDate.Substring(6, 2);
			} else if (StudyDate.IndexOf('%') == 4) {
				Year = StudyDate.Substring(0, 4);
			} else if (StudyDate.IndexOf('%') == 6) {
				Year = StudyDate.Substring(0, 4);
				Month = StudyDate.Substring(4, 2);
			}
		}

		if (m_browser.type == "NN") {
			if (m_browser.version < 5) {
				box1_width = 25;
				box2_width = 23;
			} else {
				if (m_browser.os == "X") {
					box1_width = 28;
					box2_width = 24;
				} else {
					box1_width = 25;
					box2_width = 21;
				}
			}
		} else {
			box1_width = 25;
			box2_width = 23;
		}
	}

	

//========================================================================================
</script>
<%
//========================================================================================
	setup(Request);
	main();
//========================================================================================
%>
<link rel="stylesheet" type="text/css" href="media/css/jquery.jscrollpane.css">
<link rel="stylesheet" type="text/css" href="media/css/reset.css">
<link rel="stylesheet" type="text/css" href="media/css/chosen.css">
<link rel="stylesheet" type="text/css" href="media/css/base.css">
<STYLE TYPE="text/css">
/****************************************************************************************/
DIV.COND {
	width:<%=box2_width%>em;
	margin-left: 1em;
	margin-right: 1em;
	padding: 6pt 1em 6pt 1em;
	border-style:solid;
	border-color:#FFAA00;
	border-width: 1px;
}
/****************************************************************************************/
</STYLE>
    <script type="text/javascript" src="media/js/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="media/js/jquery.mousewheel.js"></script>
    <script type="text/javascript" src="media/js/jquery.jscrollpane.js"></script>
    <script type="text/javascript" src="media/js/chosen.jquery.js"></script>
	<!--[if IE 9]> <![endif]-->
    <script type="text/javascript" id="sourcecode">
        $(function()
        {
            var height = $(window).height()-109;
            $(".sidebar .items").css("height",height+"px");
            $('.scroll-pane').jScrollPane({
                showArrows: false,
                autoReinitialise: true,
                verticalDragMinHeight: 28,
                verticalDragMaxHeight: 28
            });
            $(window).resize(function() {
                var height = $(window).height()-109;
                var wh = $(window).height();
                $(".sidebar .items").css("height",height+"px");
            });
            $(".chzn-select").chosen({
                disable_search_threshold: 8,
                allow_single_deselect:true
            }).change(function(){ if(typeof api  != 'undefined') api.reinitialise();});

            $("#clear").click(function(){
                $(".chzn-select").val('').trigger("liszt:updated");
                $("#form input[type=text]").val('');
            });

            $("#yesterday").click(function(){
                var yesterday = new Date();
                yesterday.setDate(yesterday.getDate() - 1);

                var dd = yesterday.getDate();
                var mm = yesterday.getMonth()+1;
                var yyyy = yesterday.getFullYear();
                $("input[name=month]").val(mm);
                $("input[name=date]").val(dd);
                $("input[name=year]").val(yyyy);
            });

            $("#today").click(function(){
                var today = new Date();
                var dd = today.getDate();
                var mm = today.getMonth()+1;
                var yyyy = today.getFullYear();
                $("input[name=month]").val(mm);
                $("input[name=date]").val(dd);
                $("input[name=year]").val(yyyy);
            });

        });
    </script>
<SCRIPT LANGUAGE=JavaScript>
//----------------------------------------------------------------------------------------
//------------------------------
//
//------------------------------
function modality_query_param() {
	var fe = document.forms['ModalityForm'].elements;
	var sel = fe['ModalitySelect'];
	var modsel = sel.options[sel.selectedIndex].value;

	var modtext = fe['ModalityText'].value;

	if (modtext.length != 0) {
		if (modsel.length != 0 && modtext.indexOf(modsel) < 0)
			modtext += ' ' + modsel;
		return '&Modality=' + escape(modtext);
	} else if (modsel.length != 0) {
		return '&Modality=' + escape(modsel);
	} else {
		return '';
	}
}

//------------------------------
//
//------------------------------
function patient_query_param() {
	var fe = document.forms['PatientForm'].elements;

	var pid = fe['PatientID'].value;
	var sel = fe['PatientID-OP'];
	var pid_op = sel.options[sel.selectedIndex].value;
	var name = fe['PatientName'].value;
	sel = fe['PatientName-OP'];
	var name_op = sel.options[sel.selectedIndex].value;
	sel = fe['Patient-COMB'];
	var comb = sel.options[sel.selectedIndex].value;

	if (pid.length == 0 && name.length == 0) {
		return '';
	}

	var pid_param = '';
	if (pid.length > 0)
		pid_param = '&PatientID=' + escape(pid) + '&PatientID-OP=' + escape(pid_op);

	var name_param = '';
	if (name.length > 0)
		name_param = '&PatientName=' + escape(name) + '&PatientName-OP=' + escape(name_op);

	var param = pid_param + name_param;
	if (pid_param.length > 0 && name_param.length > 0)
		param += '&Patient-COMB=' + escape(comb);

	return param;
}

//------------------------------
//
//------------------------------
function set_today() {
	var today = new Date();
	var fe = document.forms['DateForm'].elements;

	fe['Year'].value = today.getYear()<%=m_browser.type == "IE" ? "" : " + 1900"%>;
	fe['Month'].value = today.getMonth() + 1;
	fe['Date'].value = today.getDate();
}
function set_yesterday() {
	var yesterday = new Date((new Date()).getTime() - 86400000); //86400000 ms in a day
	var fe = document.forms['DateForm'].elements;

	fe['Year'].value = yesterday.getYear()<%=m_browser.type == "IE" ? "" : " + 1900"%>;
	fe['Month'].value = yesterday.getMonth() + 1;
	fe['Date'].value = yesterday.getDate();
}

//------------------------------
//
//------------------------------
function date_query_param() {
	var today = new Date();
	var yesterday = new Date((new Date()).getTime() - 86400000); //86400000 ms in a day

	var fe = document.forms['DateForm'].elements;

	var y = fe['Year'].value;
	var m = fe['Month'].value;
	var d = fe['Date'].value;


	if (y.length == 0 && m.length == 0 && d.length == 0) {
		return '';
	} else if (d.length != 0) {
		d = parseInt(d, 10);

		if (y.length == 0) {
			y = today.getYear()<%=m_browser.type == "GE" ? " + 1900" : ""%>; // prev NN
			fe['Year'].value = y;
		} else {
			y = parseInt(y, 10);
		}

		if (m.length == 0) {
			m = today.getMonth() + 1;
			fe['Month'].value = m;
		} else {
			m = parseInt(m, 10);
		}

		var di = (y * 100 * 100) + (m * 100) + (d);
		return '&StudyDate=' + di;

	} else if (m.length != 0) {
		m = parseInt(m, 10);

		if (y.length == 0) {
			y = today.getYear()<%=m_browser.type == "GE" ? " + 1900" : ""%>; // prev NN
			fe['Year'].value = y;
		} else {
			y = parseInt(y, 10);
		}

		d = 0;

		var di = (y * 100 * 100) + (m * 100) + (d);
		di = String(di);
		return  '&StudyDate=' + escape(di.substr(0, 6) + '%');
	} else {
		y = parseInt(y, 10);

		m = d = 0;

		var di = (y * 100 * 100) + (m * 100) + (d);
		di = String(di);
		return  '&StudyDate=' + escape(di.substr(0, 4) + '%');
	}
}

//------------------------------
//
//------------------------------
function patient_query() {

	var pq = patient_query_param();
	if (pq.length == 0) {
		alert('Please insert patient information');
		return false;
	}

	top.find_study('P', pq);

	return false;
}

//------------------------------
//
//------------------------------
function date_query() {

	var dq = date_query_param();
	if (dq.length == 0) {
		alert('Please insert date information');
		return false;
	}

	top.find_study('D', dq);

	return false;
}

//------------------------------
//
//------------------------------
function combined_query() {

	var pq = patient_query_param();

	var dq = date_query_param();
	if (pq.length == 0 && dq.length == 0) {
		alert('Please insert patient or study date information');
		return false;
	}

	var mq = modality_query_param();

	top.find_study('C', pq + dq + mq);

	return false;
}

//------------------------------
//
//------------------------------
function reset_all() {
	var fe = document.forms['PatientForm'].elements;
	fe['PatientID'].value = '';
	fe['PatientID-OP'].selectedIndex = 0;
	fe['PatientName'].value = '';
	fe['PatientName-OP'].selectedIndex = 0;

	fe = document.forms['DateForm'].elements;
	fe['Year'].value = '';
	fe['Month'].value = '';
	fe['Date'].value = '';

	fe = document.forms['ModalityForm'].elements;
	fe['ModalitySelect'].selectedIndex = 0;
	fe['ModalityText'].value = '';
}

//----------------------------------------------------------------------------------------
</SCRIPT>
<BODY TEXT="#E0E0C0">
<!--------------------------------------------------------------------------------------->

<div class="main">
     <div class="form">
                <div>
                <h2>FastPACS Web</h2>
                <br>
                <h2 class="blue">Patient Information</h2>
                <div class="row">
					<form id="form" NAME="PatientForm" onSubmit="return patient_query();">
                    <div class="span2 text-right"><label>ID:</label></div>
                    <div class="span6">
						<SELECT NAME="PatientID-OP" data-placeholder="Contains" class="chzn-select" style="width:115px">
							<OPTION VALUE="EQ" <%=PatientID_OP == "EQ" ? "SELECTED" : ""%>>Matches</OPTION>
							<OPTION VALUE="OP" <%=PatientID_OP == "OP" ? "SELECTED" : ""%>>Contains</OPTION>
							<OPTION VALUE="AB" <%=PatientID_OP == "AB" ? "SELECTED" : ""%>>Starts With</OPTION>
							<OPTION VALUE="YZ" <%=PatientID_OP == "YZ" ? "SELECTED" : ""%>>Ends With</OPTION>
						</SELECT>
                        <input  NAME="PatientID" type="text" class="chzn" value="" style="width: 175px;margin-left: 5px;">
                    </div>
                    <div class="span1" style="position:absolute;top:18px;right: 30px">
						<SELECT NAME="Patient-COMB" class="chzn-select" style="width:60px;">
							<OPTION VALUE="AND" <%=Patient_COMB == "AND" ? "SELECTED" : ""%>>and</OPTION>
							<OPTION VALUE="OR" <%=Patient_COMB == "OR" ? "SELECTED" : ""%>>or</OPTION>
						</SELECT>
                    </div>
                    <div class="clear"></div>
                    <div class="span2 text-right"><label>Name:</label></div>
                    <div class="span6">
						<SELECT NAME="PatientName-OP" data-placeholder="Name" class="chzn-select" style="width:115px">
							<OPTION VALUE="OP" <%=PatientName_OP == "EQ" ? "SELECTED" : ""%>>Contains</OPTION>
							<OPTION VALUE="EQ" <%=PatientName_OP == "OP" ? "SELECTED" : ""%>>Matches</OPTION>
							<OPTION VALUE="AB" <%=PatientName_OP == "AB" ? "SELECTED" : ""%>>Starts With</OPTION>
							<OPTION VALUE="YZ" <%=PatientName_OP == "YZ" ? "SELECTED" : ""%>>Ends With</OPTION>
						</SELECT>
                        <input name="PatientName"  type="text" class="chzn" value="" style="width: 175px;margin-left: 5px;">
                    </div>

                    <div class="clear"></div>
                    <div class="span6 offset2 text-right">
                        <input  type="submit" class="btn btn-inset" value="Find by Patients Info">
                    </div>
                    <div class="clear"></div>
				</form>
                </div>
                <h2 class="blue top-space-10">Study Date</h2>
                <div class="row">
					<FORM NAME="DateForm" onSubmit="return date_query();">
                    <div class="span2 text-right"><label>Month:</label></div>
                    <div class="span6">
                        <input  type="text" class="chzn" VALUE="<%=Month%>" style="width: 55px" name='Month'>
                        <label class="left-space-10" style="width:34px">Date:</label>
                        <input  type="text" class="chzn" VALUE="<%=Date%>" style="width: 55px"  name='Date'>
                        <label class="left-space-10" style="width:34px">Year:</label>
                        <input  type="text" class="chzn" VALUE="<%=Year%>" style="width: 55px"  name='Year'>
                    </div>
                    <div class="clear"></div>
                    <div class="span6 offset2">
                        <input  type="button" class="btn btn-inset" value="Today" id="today" onClick="set_today();return false;">
                        <input  type="button" class="btn btn-inset" value="Yesterday"  id="yesterday" onClick="set_yesterday();return false;">
                        <input  type="submit" class="btn btn-inset fright" value="Find by Study Date" >
                        <div class="clear"></div>
                    </div>
                    <div class="clear"></div>
					</form>
                </div>
                <div class="row top-space-10">
					<FORM NAME="ModalityForm">
						<div class="span2 text-right"><label>Select Modality:</label></div>
						<div class="span6">
							<SELECT NAME="ModalitySelect" data-placeholder="" class="chzn-select" style="width:115px" tabindex="2">
								<OPTION VALUE=""></OPTION>
								<OPTION VALUE="CT">CT</OPTION>
								<OPTION VALUE="MR">MR</OPTION>
								<OPTION VALUE="CR">CR</OPTION>
							</SELECT>
						</div>
						<div class="clear"></div>
						<div class="span2 text-right"><label>Enter Modalities:</label></div>
						<div class="span6">
							<input NAME="ModalityText" VALUE="<%=Modality%>" type="text" class="chzn" style="width: 105px">
						</div>
						<div class="clear"></div>
					</form>
                </div>
                <div class="row top-space-10">
					<FORM NAME="TotalForm" onSubmit="return combined_query();">
						<div class="span6 offset2">
							<input  type="button" class="btn btn-inset" value="Clear" style="width: 70px" id="clear" onClick="reset_all();return false;" >
							<input  type="submit" class="btn fright btn-primary" value="Find" style="width: 100px">
						</div>
						<div class="clear"></div>
					</form>
                </div>
                <div class="row top-space-10" style="border: 0">
                    <div class="span6 offset2">
                        <span class="grey top-space-10" >Not for primary interpretation</span>
                        <input  type="button" class="btn fright btn-support" onClick="javascript:window.open('http://www.precisiondiagnostic.com/download/FastPACSUserGuide.pdf');" VALUE="Support"title="View FastPACS User Guide">
                    </div>
                </div>
            </div>
            
        </div>
</div>
<!--------------------------------------------------------------------------------------->
</BODY>
</HTML>
