<%/*



FastPACS 
2006-2013 by Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA




*/%>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="DIOWave" %>
<script runat="server">

//======================================================================
//
//======================================================================
public void Application_OnStart(Object sender, EventArgs e) {
	XmlDocument config_dom = new XmlDocument();
	config_dom.Load("C:\\DIOWave\\etc\\DIOWaveConf.xml");
	Application.Add("DIOWaveConf", config_dom);

	StudyCache dw_obj = new StudyCache();
	dw_obj.Initialize();
	Application.Add("StudyDOM", dw_obj);
}

//======================================================================
//
//======================================================================
public void  Application_OnEnd(Object sender, EventArgs e) {
	StudyCache dw_obj = (StudyCache)Application.Get("StudyDOM");
	dw_obj.Uninitialize();
	Application.Clear();
}

//======================================================================
//
//======================================================================
public void  Session_OnStart(Object sender, EventArgs e) {
	Session.Add("viewerpref", new StringDictionary());
}

</script>
